=== debian/changelog ===
sord (0.16.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Dennis Braun ]
  * New upstream version 0.16.6
    + Fixes FTBFS with doxygen 1.8.19 (Closes: #969143)
  * Update ldconfig patch
  * Add d/upstream/signing-key.asc
  * Add d/upstream/metadata
  * Bump dh-compat to 13
  * Bump S-V to 4.5.0
  * Add me as uploader
  * Add Build-Depends-Package to symbols file
  * Update d/copyright year
  * d/copyright: http > https

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 08 Oct 2020 15:13:17 +0200
