## sord 0.16.8

=== wscript ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SORD_VERSION       = '0.16.6'
+SORD_VERSION       = '0.16.8'
 SORD_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -79,8 +79,8 @@
             'clang': [
                 '-Wno-cast-align',
                 '-Wno-cast-qual',
-                '-Wno-extra-semi-stmt',
                 '-Wno-format-nonliteral',
+                '-Wno-nullability-extension',
                 '-Wno-padded',
                 '-Wno-reserved-id-macro',
                 '-Wno-shorten-64-to-32',
@@ -146,8 +146,15 @@
     if all or 'write' in dump:
         conf.define('SORD_DEBUG_WRITE', 1)
 
-    autowaf.set_lib_env(conf, 'sord', SORD_VERSION)
-    conf.write_config_header('sord_config.h', remove=False)
+    # Set up environment for building/using as a subproject
+    autowaf.set_lib_env(conf, 'sord', SORD_VERSION,
+                        include_path=str(conf.path.find_node('include')))
+
+    if conf.env.BUILD_UTILS and conf.env.HAVE_PCRE:
+        sord_validate_node = conf.path.get_bld().make_node('sord_validate')
+        conf.env.SORD_VALIDATE = [sord_validate_node.abspath()]
+
+    conf.define('SORD_NO_DEFAULT_CONFIG', 1)
 
     autowaf.display_summary(
         conf,
@@ -160,8 +167,8 @@
 def build(bld):
     # C/C++ Headers
     includedir = '${INCLUDEDIR}/sord-%s/sord' % SORD_MAJOR_VERSION
-    bld.install_files(includedir, bld.path.ant_glob('sord/*.h'))
-    bld.install_files(includedir, bld.path.ant_glob('sord/*.hpp'))
+    bld.install_files(includedir, bld.path.ant_glob('include/sord/*.h'))
+    bld.install_files(includedir, bld.path.ant_glob('include/sord/*.hpp'))
 
     # Pkgconfig file
     autowaf.build_pc(bld, 'SORD', SORD_VERSION, SORD_MAJOR_VERSION, [],
@@ -182,30 +189,30 @@
     if bld.env.BUILD_SHARED:
         obj = bld(features        = 'c cshlib',
                   source          = source,
-                  includes        = ['.', './src'],
-                  export_includes = ['.'],
+                  includes        = ['.', 'include', './src'],
+                  export_includes = ['.', 'include'],
                   name            = 'libsord',
                   target          = 'sord-%s' % SORD_MAJOR_VERSION,
                   vnum            = SORD_VERSION,
                   install_path    = '${LIBDIR}',
                   libs            = libs,
                   uselib          = 'SERD',
-                  defines         = defines + ['SORD_SHARED', 'SORD_INTERNAL'],
+                  defines         = defines + ['SORD_INTERNAL'],
                   cflags          = libflags)
 
     # Static Library
     if bld.env.BUILD_STATIC:
         obj = bld(features        = 'c cstlib',
                   source          = source,
-                  includes        = ['.', './src'],
-                  export_includes = ['.'],
+                  includes        = ['.', 'include', './src'],
+                  export_includes = ['.', 'include'],
                   name            = 'libsord_static',
                   target          = 'sord-%s' % SORD_MAJOR_VERSION,
                   vnum            = SORD_VERSION,
                   install_path    = '${LIBDIR}',
                   libs            = libs,
                   uselib          = 'SERD',
-                  defines         = ['SORD_INTERNAL'])
+                  defines         = ['SORD_STATIC', 'SORD_INTERNAL'])
 
     if bld.env.BUILD_TESTS:
         test_libs      = libs
@@ -218,11 +225,11 @@
         # Profiled static library for test coverage
         obj = bld(features     = 'c cstlib',
                   source       = source,
-                  includes     = ['.', './src'],
+                  includes     = ['.', 'include', './src'],
                   name         = 'libsord_profiled',
                   target       = 'sord_profiled',
                   install_path = '',
-                  defines      = defines,
+                  defines      = defines + ['SORD_STATIC', 'SORD_INTERNAL'],
                   cflags       = test_cflags,
                   linkflags    = test_linkflags,
                   lib          = test_libs,
@@ -231,12 +238,12 @@
         # Unit test program
         obj = bld(features     = 'c cprogram',
                   source       = 'src/sord_test.c',
-                  includes     = ['.', './src'],
+                  includes     = ['.', 'include', './src'],
                   use          = 'libsord_profiled',
                   lib          = test_libs,
                   target       = 'sord_test',
                   install_path = '',
-                  defines      = defines,
+                  defines      = defines + ['SORD_STATIC'],
                   cflags       = test_cflags,
                   linkflags    = test_linkflags,
                   uselib       = 'SERD')
@@ -244,12 +251,12 @@
         # Static profiled sordi for tests
         obj = bld(features     = 'c cprogram',
                   source       = 'src/sordi.c',
-                  includes     = ['.', './src'],
+                  includes     = ['.', 'include', './src'],
                   use          = 'libsord_profiled',
                   lib          = test_libs,
                   target       = 'sordi_static',
                   install_path = '',
-                  defines      = defines,
+                  defines      = defines + ['SORD_STATIC'],
                   cflags       = test_cflags,
                   linkflags    = test_linkflags,
                   uselib       = 'SERD')
@@ -258,12 +265,12 @@
         if bld.env.COMPILER_CXX:
             obj = bld(features     = 'cxx cxxprogram',
                       source       = 'src/sordmm_test.cpp',
-                      includes     = ['.', './src'],
+                      includes     = ['.', 'include', './src'],
                       use          = 'libsord_profiled',
                       lib          = test_libs,
                       target       = 'sordmm_test',
                       install_path = '',
-                      defines      = defines,
+                      defines      = defines + ['SORD_STATIC'],
                       cxxflags     = test_cflags,
                       linkflags    = test_linkflags,
                       uselib       = 'SERD')
@@ -276,7 +283,7 @@
         for i in utils:
             obj = bld(features     = 'c cprogram',
                       source       = 'src/%s.c' % i,
-                      includes     = ['.', './src'],
+                      includes     = ['.', 'include', './src'],
                       use          = 'libsord',
                       lib          = libs,
                       uselib       = 'SERD',
@@ -299,18 +306,3 @@
     # Man pages
     bld.install_files('${MANDIR}/man1', bld.path.ant_glob('doc/*.1'))
 
-    bld.add_post_fun(autowaf.run_ldconfig)
-
-def lint(ctx):
-    "checks code for style issues"
-    import subprocess
-    cmd = ("clang-tidy -p=. -header-filter=.* -checks=\"*," +
-           "-cert-dcl03-c," +
-           "-clang-analyzer-alpha.*," +
-           "-google-readability-todo," +
-           "-llvm-header-guard," +
-           "-llvm-include-order," +
-           "-misc-static-assert," +
-           "-misc-unused-parameters," +
-           "-readability-else-after-return\" " +
-           "../src/*.c")
