=== debian/changelog ===
sord (0.16.8-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #981735)
    + Demote doxygen to B-D-I.
    + Drop graphviz, because HAVE_DOT=NO. 

  [ Dennis Braun ]
  * Mark libsord-doc as M-A: foreign
  * Add d/patches/0001-Fix-crash-with-optimized-builds-with-GCC-10.1.0.patch

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 04 Feb 2021 20:45:55 +0100

sord (0.16.8-1) unstable; urgency=medium

  [ Olivier Humbert ]
  * d/copyright: http -> https

  [ Dennis Braun ]
  * New upstream version 0.16.8
  * Bump S-V to 4.5.1, no changes needed
  * Add lintian overrides to get rid of the jquery lintian bug
  * Refresh 1001-dont_run_ldconfig.patch
  * Remove unnecessary LDFLAGS from d/rules
  * d/watch: Update pgpsigurlmangle for asc files

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 14 Jan 2021 18:22:38 +0100
