=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
  Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  debhelper-compat (= 13),
- doxygen,
- graphviz,
  libserd-dev (>= 0.30),
  libpcre++-dev,
  pkg-config,
  python3:native,
-Standards-Version: 4.5.0
+Build-Depends-Indep:
+ doxygen,
+Standards-Version: 4.5.1
 Homepage: https://drobilla.net/software/sord/
 Vcs-Git: https://salsa.debian.org/multimedia-team/sord.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sord
@@ -68,6 +68,7 @@
 Package: libsord-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Enhances:
  libsord-dev
 Depends:
