## sord 0.16.12

=== meson_options.txt ===
option('docs', type: 'feature', value: 'auto', yield: true,
       description: 'Build documentation')

option('strict', type: 'boolean', value: false, yield: true,
       description: 'Enable ultra-strict warnings')

option('tests', type: 'feature', value: 'auto', yield: true,
       description: 'Build tests')

option('title', type: 'string', value: 'Sord',
       description: 'Project title')

option('tools', type: 'feature', value: 'auto', yield: true,
       description: 'Build command line utilities')
