=== debian/changelog ===
sord (0.16.12-1) unstable; urgency=medium

  * New upstream version 0.16.12
  * Build with meson
  * Drop obsolete ldconfig patch
  * d/copyright: Drop waf* entry and BSD license
  * Update doc installation
  * Refresh lintian-overrides
  * Update d/clean

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 25 Jul 2022 16:21:04 +0200

sord (0.16.10-1) unstable; urgency=medium

  * New upstream version 0.16.10
  * Refresh patchset, drop gcc10 patch applied by upstream
  * Bump Standards Version to 4.6.1
  * d/copyright: Bump year and add myself
  * Update d/libsord-0-0.symbols
  * d/watch: Use .sig for pgpsigurlmangle

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 30 May 2022 23:23:47 +0200
