=== debian/control ===
--- 
+++ 
@@ -10,11 +10,12 @@
  debhelper-compat (= 13),
  libserd-dev (>= 0.30),
  libpcre++-dev,
+ meson,
  pkg-config,
  python3:native,
 Build-Depends-Indep:
  doxygen,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://drobilla.net/software/sord/
 Vcs-Git: https://salsa.debian.org/multimedia-team/sord.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sord
