## sord 0.16.14

=== debian/changelog ===
sord (0.16.14-2) unstable; urgency=medium

  * Drop optional Build-Depends libpcre++-dev (Closes: #1020931)

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 28 Sep 2022 22:43:00 +0200

sord (0.16.14-1) unstable; urgency=medium

  * New upstream version 0.16.14
  * Update symbols file

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 12 Sep 2022 23:12:18 +0200
