=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Build-Depends:
  debhelper-compat (= 13),
  libserd-dev (>= 0.30),
- libpcre++-dev,
  meson,
  pkg-config,
  python3:native,
