## sord 0.16.14+git221008

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright 2021-2022 David Robillard <d@drobilla.net>
+# SPDX-License-Identifier: 0BSD OR ISC
+
 option('docs', type: 'feature', value: 'auto', yield: true,
        description: 'Build documentation')
