=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  debhelper-compat (= 13),
+ libpcre2-dev,
  libserd-dev (>= 0.30),
  meson,
  pkg-config,
@@ -15,7 +16,7 @@
 Build-Depends-Indep:
  doxygen,
 Standards-Version: 4.6.1
-Homepage: https://drobilla.net/software/sord/
+Homepage: https://drobilla.net/software/sord.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/sord.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sord
 Rules-Requires-Root: no
