## sord 0.16.16

=== meson_options.txt ===
--- 
+++ 
@@ -3,9 +3,6 @@
 
 option('docs', type: 'feature', value: 'auto', yield: true,
        description: 'Build documentation')
-
-option('strict', type: 'boolean', value: false, yield: true,
-       description: 'Enable ultra-strict warnings')
 
 option('tests', type: 'feature', value: 'auto', yield: true,
        description: 'Build tests')
