=== debian/changelog ===
sord (0.16.16-2build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:48:13 +0200

sord (0.16.16-2) unstable; urgency=medium

  * Team upload
  * debian/rules: Add libzix-dev to libsord-dev's Depends

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Nov 2023 00:24:53 +0100

sord (0.16.16-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.16.16
  * debian/control:
    - Bump Standards-Version
    - Add libzix-dev to Build-Depends
  * debian/rules: Remove left-overs from waf

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Nov 2023 00:08:05 +0100

sord (0.16.14+git221008-1) unstable; urgency=medium

  * New upstream version 0.16.14+git221008
    + Fix build against PCRE2
  * Add libpcre2-dev to B-Ds, this enables sord_validate again
  * d/control: Update homepage URL (Closes: #1021291)

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Oct 2022 22:42:41 +0200
