=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sord
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -10,12 +11,13 @@
  debhelper-compat (= 13),
  libpcre2-dev,
  libserd-dev (>= 0.30),
+ libzix-dev,
  meson,
  pkg-config,
  python3:native,
 Build-Depends-Indep:
  doxygen,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://drobilla.net/software/sord.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/sord.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sord
@@ -42,6 +44,7 @@
 Multi-Arch: same
 Depends:
  libserd-dev (>= 0.30),
+ libzix-dev,
  libsord-0-0 (= ${binary:Version}),
  ${misc:Depends}
 Suggests:
