## sord 0.16.18

=== meson_options.txt ===
# Copyright 2021-2022 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('docs', type: 'feature', yield: true,
       description: 'Build documentation')

option('lint', type: 'boolean', value: false, yield: true,
       description: 'Run code quality checks')

option('man', type: 'feature', value: 'enabled', yield: true,
       description: 'Install man pages')

option('tests', type: 'feature', yield: true,
       description: 'Build tests')

option('title', type: 'string', value: 'Sord',
       description: 'Project title')

option('tools', type: 'feature', yield: true,
       description: 'Build command line utilities')
