=== debian/changelog ===
sord (0.16.18-1) unstable; urgency=medium

  * New upstream version 0.16.18
  * Change B-D from pkg-config => pkgconf
  * libsord-dev Recommends: pkg-config => pkgconf
  * Bump Standards-Version to 4.7.0
  * Bump my d/copyright years
  * Change my email address

 -- Dennis Braun <snd@debian.org>  Sun, 09 Feb 2025 15:03:40 +0100
