## sord 0.16.20

=== meson_options.txt ===
# Copyright 2021-2025 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('bindings_cpp', type: 'feature',
       description: 'Build C++ bindings')

option('docs', type: 'feature',
       description: 'Build documentation')

option('lint', type: 'boolean', value: false,
       description: 'Run code quality checks')

option('man', type: 'feature', value: 'enabled',
       description: 'Install man pages')

option('tests', type: 'feature',
       description: 'Build tests')

option('title', type: 'string', value: 'Sord',
       description: 'Project title')

option('tools', type: 'feature',
       description: 'Build command line utilities')
