=== debian/changelog ===
sord (0.16.20-1) unstable; urgency=medium

  * New upstream version 0.16.20
  * Update d/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove redudant rules-requires-root-no field
  * Update copyright year

 -- Dennis Braun <snd@debian.org>  Tue, 18 Nov 2025 17:40:13 +0100
