=== debian/control ===
--- 
+++ 
@@ -16,11 +16,10 @@
  python3:native,
 Build-Depends-Indep:
  doxygen,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://drobilla.net/software/sord.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/sord.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sord
-Rules-Requires-Root: no
 
 Package: libsord-0-0
 Architecture: any
