## sord 0.16.22

=== debian/changelog ===
sord (0.16.22-1) unstable; urgency=medium

  * New upstream version 0.16.22
  * Bump Standards-Version to 4.7.3
  * Remove redundant priority optional field
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Mon, 02 Mar 2026 18:56:53 +0100
